%global debug_package %{nil}

Name:           guile-email
Version:        0.2.3
                               
Release:        0.1.20210829git0c4d678%{?dist}
Summary:        A collection of email utilities implemented in pure Guile

License:        AGPLv3
URL:            https://guile-email.systemreboot.net/
Source0:        https://git.systemreboot.net/guile-email/snapshot/guile-email-0c4d6786cff947f30c410f8ae3871ebeccfddbe1.tar.xz

BuildRequires:  /usr/bin/autoreconf /usr/bin/aclocal
BuildRequires:  /usr/bin/make
BuildRequires:  guile22-devel
BuildRequires:  /usr/bin/makeinfo
Requires:       guile22

%description
guile-email is a collection of email utilities implemented in pure guile. It
supports parsing MIME (Multipurpose Internet Mail Extensions) compliant email
messages and reading emails from the mbox format.


%prep
%autosetup -n guile-email-0c4d6786cff947f30c410f8ae3871ebeccfddbe1


%build
./bootstrap.sh
%configure GUILE=/usr/bin/guile2.2 \
           GUILD=/usr/bin/guild2.2 \
           GUILE_CONFIG=/usr/bin/guile-config2.2
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
rm -f $RPM_BUILD_ROOT%{_datadir}/info/dir


%files
%license COPYING
%doc NEWS README.org
%{_libdir}/guile/2.2/site-ccache/email
%{_datadir}/guile/site/2.2/email
%{_datadir}/info/guile-email.info.gz
